Intermittent browser_privatebrowsing_beforeunload_exit.js or browser_privatebrowsing_beforeunload_enter.js | application timed out after 330 seconds with no output (must wait for focus)

NEW
Unassigned

Status

()

defect
P3
normal
9 years ago
3 years ago

People

(Reporter: dholbert, Unassigned)

Tracking

({intermittent-failure})

Trunk
Firefox 4.0b4
x86
Linux
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [test disabled for Linux on m-c])

Attachments

(3 attachments, 1 obsolete attachment)

(Reporter)

Description

9 years ago
This random orange looks just like bug 543278 and bug 542928, but occurs after a different test.
{
TEST-PASS | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_beforeunload.js | Two prompts should have been raised
TEST-INFO | checking window state
TEST-INFO | (browser-test.js) | Waiting for window activation...
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output
INFO | automation.py | Application ran for: 0:07:02.080515
INFO | automation.py | Reading PID log: /tmp/tmpmAG6dEpidlog
==> process 2046 launched child process 2069
INFO | automation.py | Checking for orphan process with PID: 2069
PROCESS-CRASH | automation.py | application crashed (minidump found)
Operating system: Linux
                  0.0.0 Linux 2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7 21:25:57 EST 2009 i686
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     1 CPU

Crash reason:  SIGABRT
Crash address: 0x7e1

Thread 0 (crashed)
 0  linux-gate.so + 0x424
}

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273698143.1273699182.28560.gz
Build Log (Brief)
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/12 14:02:23
s: talos-r3-fed-027
(Reporter)

Updated

9 years ago

Updated

9 years ago
Whiteboard: [orange] → [orange][possible dupe of bug 543278]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273812570.1273814451.5095.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/13 21:49:30
s: talos-r3-fed-035
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273872571.1273875045.21099.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/14 14:29:31
s: talos-r3-fed-007
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273903618.1273905466.25671.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/14 23:06:58
s: talos-r3-fed-021
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274135017.1274136639.8152.gz&fulltext=1
Rev3 Fedora 12 mozilla-central opt test mochitest-other [testfailed] Started 15:23, finished 15:51, took 28mins
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274140724.1274142362.31973.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/17 16:58:44
s: talos-r3-fed64-049
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274190791.1274192430.8502.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other
s: talos-r3-fed-008
rev:b4aa7d59c96e

TEST-PASS | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_beforeunload.js | Two prompts should have been raised
TEST-INFO | checking window state
TEST-INFO | (browser-test.js) | Waiting for window activation...
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output

Comment 8

9 years ago
This should be fixed my patch in bug 543278.

Please reopen if you see this on trunk from this point on.
Assignee: nobody → ehsan
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Depends on: 543278
Resolution: --- → FIXED
Whiteboard: [orange][possible dupe of bug 543278] → [orange][fixed by bug 543278]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274214007.1274216224.17643.gz#err4
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/18 13:20:07
s: talos-r3-fed-027

TEST-PASS | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_beforeunload.js | The last tab should be the same one we opened
TEST-PASS | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_beforeunload.js | Two confirm dialogs should have been accepted
TEST-PASS | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_beforeunload.js | Two prompts should have been raised
TEST-INFO | checking window state
TEST-PASS | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_beforeunload.js | before wait for focus -- loaded: complete active window: <no window active> focused window: <no window focused> desired window: ([object ChromeWindow]) chrome://browser/content/browser.xul child window: ([object XPCNativeWrapper [object Window]]) about:blank docshell visible: true
TEST-PASS | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_beforeunload.js | must wait for focus
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274227668.1274229568.13017.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/18 17:07:48
s: talos-r3-fed-016
Whiteboard: [orange][fixed by bug 543278] → [orange]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274294527.1274295652.4572.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/19 11:42:07
s: talos-r3-fed64-043
Summary: Timeout from or after browser_privatebrowsing_beforeunload.js with browser-test.js | Waiting for window activation → Intermittent timeout after browser_privatebrowsing_beforeunload.js | must wait for focus

Comment 12

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274324615.1274325504.1811.gz

Neil, seems like after I landed the debugging code, the failures started to come with a crash with stacks similar to this one.  Any idea what's going on here?
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274377301.1274378512.25125.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/20 10:41:41
s: talos-r3-fed-038
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274503691.1274504529.23225.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/21 21:48:11

Comment 15

9 years ago
I'm out of ideas here.  We probably need someone who knows about the internals of the focus code and how it works on Linux to help here.
Assignee: ehsan → nobody
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274557777.1274559004.5692.gz#err2
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/22 12:49:37  
s: talos-r3-fed64-019
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274638286.1274639164.16326.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/23 11:11:26
s: talos-r3-fed-048
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274640362.1274641287.24552.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/23 11:46:02
s: talos-r3-fed64-042

Comment 20

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274639790.1274641451.24944.gz
Linux mozilla-central debug test mochitest-other on 2010/05/23 11:36:30
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274655999.1274657103.19925.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/23 16:06:39
s: talos-r3-fed-010
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274715974.1274717836.14517.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/24 08:46:14
s: talos-r3-fed-026
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274729438.1274731106.8171.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/24 12:30:38
s: talos-r3-fed-032
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274732866.1274734671.24232.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/24 13:27:46
s: talos-r3-fed64-009
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274773006.1274775736.538.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/25 00:36:46
s: talos-r3-fed-028
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274888968.1274890733.23572.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/05/26 08:49:28
s: talos-r3-fed-023
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274926038.1274927540.23948.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/26
19:07:18
s: talos-r3-fed64-025
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274974746.1274976692.8549.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/05/27 08:39:06
s: talos-r3-fed64-046
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275387795.1275388630.5087.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/01 03:23:15
s: talos-r3-fed-007
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275419841.1275420680.5150.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/01 12:17:21
s: talos-r3-fed-024
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275426595.1275427908.1904.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/01 14:09:55
s: talos-r3-fed-017
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275474049.1275474876.4954.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/02 03:20:49
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275509240.1275510326.27120.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/02 13:07:20
s: talos-r3-fed64-020
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275595486.1275596474.12642.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/03 13:04:46
s: talos-r3-fed-048
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275791662.1275792555.16841.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/05 19:34:22
s: talos-r3-fed64-031
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276013990.1276016055.25252.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/08 09:19:50
s: talos-r3-fed-035
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276016402.1276018304.3972.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/08 10:00:02
s: talos-r3-fed-029
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276027513.1276028698.22339.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/08 13:05:13
s: talos-r3-fed-025
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276028470.1276029493.26138.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/08 13:21:10
s: talos-r3-fed-030
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276038623.1276041059.17517.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/08 16:10:23
s: talos-r3-fed-004
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276074026.1276075090.12165.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/09 02:00:26
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276103558.1276106403.28739.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/09 10:12:38
s: talos-r3-fed-010
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276142767.1276143804.9300.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/06/09 21:06:07
s: talos-r3-fed-048
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276687168.1276688382.6214.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/16 04:19:28
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1277193279.1277194180.20809.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/22 00:54:39
s: talos-r3-fed64-017
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Release/1277936376.1277937847.32737.gz
Rev3 Fedora 12x64 mozilla-central-release opt test mochitest-other on 2010/06/30 15:19:36
s: talos-r3-fed64-012
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Release/1277935300.1277936726.26541.gz
Rev3 Fedora 12 mozilla-central-release opt test mochitest-other on 2010/06/30 15:01:40
s: talos-r3-fed-013
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278319123.1278320059.13679.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/07/05 01:38:43

s: talos-r3-fed64-040
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_beforeunload.js | application timed out after 330 seconds with no output
PROCESS-CRASH | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_beforeunload.js | application crashed (minidump found)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1278632471.1278633377.1633.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2010/07/08 16:41:11
s: talos-r3-fed-007
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Summary: Intermittent timeout after browser_privatebrowsing_beforeunload.js | must wait for focus → Intermittent browser_privatebrowsing_beforeunload.js | application timed out after 330 seconds with no output (must wait for focus)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Assignee: nobody → highmind63
Status: REOPENED → ASSIGNED
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Posted patch patch rev 1 (obsolete) — Splinter Review
Split it up to speed up the individual tests and see if this is the real culprit.

Ehsan, let me know what you think of this.
Attachment #461108 - Flags: review?(ehsan)
Posted patch patch rev 1Splinter Review
err, umm... hg add the file, of course!
Attachment #461108 - Attachment is obsolete: true
Attachment #461109 - Flags: review?(ehsan)
Attachment #461108 - Flags: review?(ehsan)

Comment 254

9 years ago
Comment on attachment 461109 [details] [diff] [review]
patch rev 1

>+        gBrowser.addTab();
>+        gBrowser.removeTab(gBrowser.selectedTab);

I'm not sure what the purpose of those two lines are, really.  Actually, I'm not clear on the general idea behind splitting the tests like this.

I'm not opposed to taking this patch, but I'd be surprised if this actually helps things.  AFAICT, these kinds of failures happen in all tests on Linux which show modal dialogs, and it seems to be related to that, but yes, sure, by all means, I'm all for taking this patch and seeing what happens (provided that I can actually figure out what you're trying to do!).
(In reply to comment #254)
> Comment on attachment 461109 [details] [diff] [review]
> patch rev 1
> 
> >+        gBrowser.addTab();
> >+        gBrowser.removeTab(gBrowser.selectedTab);
> 
> I'm not sure what the purpose of those two lines are, really.  Actually, I'm
> not clear on the general idea behind splitting the tests like this.

These two lines are just clean-up to restore a blank (about:blank) tab before ending the test.

Splitting the tests was just a logical first step to take since it can be done logically (splitting out the entering pb and exiting into separate tests) and may point out an issue with a certain number of modal dialogs repeatedly being shown. Another possibility is that the stop script dialog is being shown on that platform because of the size of the test.

The reason I believe that *might* be the case is because of this line in the log:

TEST-PASS | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_beforeunload.js | before wait for focus -- loaded: complete active window: <no window active> focused window: <no window focused> desired window: ([object ChromeWindow]) chrome://browser/content/browser.xul child window: ([object XPCNativeWrapper [object Window]]) about:blank docshell visible: true

which means that there is no focused window at the end of the test. Another option would be to clean-up at the end with a window.focus call as well to mitigate the possibility of a platform error in restoring focus to the parent window of a modal dialog after that dialog is closed. Let me know if this explanation suffices.

Comment 256

9 years ago
Comment on attachment 461109 [details] [diff] [review]
patch rev 1

OK, let's try this!
Attachment #461109 - Flags: review?(ehsan) → review+
Landed this as: http://hg.mozilla.org/mozilla-central/rev/421492990143

I'll wait a bit to see if it sticks and if it actually fixes the issue.
Keywords: checkin-needed
Whiteboard: [orange] → [orange] [landed fix, waiting to see if it works]
Target Milestone: --- → Firefox 4.0b3
Gonna look into this more over the weekend (maybe even get me a Fedora installation)...
It's interesting to note that it doesn't fail on the beforeunload_enter test (which runs first) but rather on the beforeunload_exit test.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1280499033.1280500089.25078.gz&fulltext=1
Summary: Intermittent browser_privatebrowsing_beforeunload.js | application timed out after 330 seconds with no output (must wait for focus) → Intermittent browser_privatebrowsing_beforeunload_exit.js | application timed out after 330 seconds with no output (must wait for focus)
Comment hidden (Legacy TBPL/Treeherder Robot)
A bunch of khuey's look like timeouts on _enter.js instead of _exit.js, as is this one:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1280536153.1280537693.9162.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1280549338.1280550320.19542.gz
Rev3 Fedora 12 mozilla-central opt test mochitest-other

TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_beforeunload_enter.js | application timed o
Summary: Intermittent browser_privatebrowsing_beforeunload_exit.js | application timed out after 330 seconds with no output (must wait for focus) → Intermittent browser_privatebrowsing_beforeunload_exit.js or browser_privatebrowsing_beforeunload_enter.js | application timed out after 330 seconds with no output (must wait for focus)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)